package bdd.search.spider;

/** Written by Tim Macinta 1997                           <br>
 *  Distributed under the GNU Public License
 *       (a copy of which is enclosed with the source).   <br>
 *                                                        <br> 
 *  This LinkExtractor should be used for document types that
 *  don't have hyperlinks.  This is basically an empty enumeration.
 */

public class NullLinkExtractor implements LinkExtractor {

  public NullLinkExtractor() {}

  public boolean hasMoreElements() {
    return false;
  }

  public Object nextElement() {
    throw new java.util.NoSuchElementException();
  }

}
